<template>
	<view>
		<!-- <uni-forms ref="formData" :modelValue="formData" label-width="120"> -->
		<uni-forms class="customcss" label-width="120">
			<uni-forms-item label="起点库位">
				<uni-easyinput type="text" :focus="locationFocus" v-model="fromLocationNo" placeholder="请输入起点库位"
					ref='midInput' @input="locationNoinputChange()" />
			</uni-forms-item>
			<uni-forms-item label="终点库位">
				<uni-easyinput type="text" :focus="!locationFocus" v-model="toLocationNo" placeholder="请输入终点库位"
					ref='midInput' />
			</uni-forms-item>
			<uni-forms-item>
				<button @click="submit" type="primary" size="default" style="margin-top: 2%;">移库</button>
			</uni-forms-item>
		</uni-forms>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				fromLocationNo: "",
				toLocationNo: "",
				locationFocus: true
			}
		},
		onLoad(res) {
		},
		methods: {
			submit() {
				if(this.fromLocationNo == ''){
					this.$refs.uToast.show({
						title: "起点库位不能为空",
						type: "error"
					});
					return;
				}
				if(this.toLocationNo == ''){
					this.$refs.uToast.show({
						title: "终点库位不能为空",
						type: "error"
					});
					return;
				}
				var postData = {
					MainData: {
						"fromLocation": this.fromLocationNo,
						"toLocation": this.toLocationNo
					},
				}
				this.$u.post('/api/Relocation/RelocationTask', postData).then((res) => {
					if (res.status) {
						this.items = [];
						this.$refs.uToast.show({
							title: res.message,
							type: "success"
						});
						this.fromLocationNo = "";
						this.toLocationNo = "";
						this.locationFocus = true;
					} else {
						this.$refs.uToast.show({
							title: res.message,
							type: "error"
						});
					}
				})
			},
			locationNoinputChange(){
				this.locationFocus = false;
				this.$nextTick(function(x) {
					if (this.fromLocationNo != '') {
						this.locationFocus = false;
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}

	.customcss {
		background-color: #fff;
		padding: 20rpx 40rpx;
		width: 100%;
	}

	.footer {
		padding-top: 50%;
	}
</style>
